package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.AbstractFurniture;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

import java.util.List;

public class AllFurnitureNode extends Renderable{

    private final List<? extends AbstractFurniture> furniture;

    public AllFurnitureNode(List<? extends AbstractFurniture> furniture) {
        this.furniture = furniture;
    }

    @Override
    public String getText() {
        return "Furniture";
    }

    @Override
    public void visit(Renderer renderer) {
        renderer.clearCurrentRender();
    }

    @Override
    public void refreshTextColor() {
        boolean wasChecked = false;
        for (AbstractFurniture af : furniture) {
            if (af.isValidated()) {
                wasChecked = true;
                if (af.containsAnyError()) {
                    setStatus(CheckStatus.ERROR);
                    return;
                }
            }
        }
        if (wasChecked) {
            setStatus(CheckStatus.OK);
        } else {
            setStatus(CheckStatus.NOT_CHECKED);
        }
    }
}
